PATCH /commerce/{accountId}/baskets/{basketId}/payment

Sets the desired tip(s) and recalculates the basket price.

Path parameters

  • accountId string Required
  • basketId string Required
application/json

Body

  • tips array[object]
    Hide tips attributes Show tips attributes object
    • amount integer(int32) Required
    • type string Required

      Values are restaurant or driver.

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • id string
    • created string
    • updated string
    • deleted boolean

      Default value is true.

    • etag string
    • accountId string
    • storeId string
    • currency string
    • taxExclusive boolean

      Default value is true.

    • status string
    • items array[object]
      Hide items attributes Show items attributes object
      • menuId string
      • plu string
      • name string
      • quantity integer

        Default value is 0.

      • price integer

        Default value is 0.

      • gross integer

        Default value is 0.

      • taxes array
      • net integer

        Default value is 0.

      • subItems array
      • discounts array
      • discountTotal integer

        Default value is 0.

    • payment object
      Hide payment attributes Show payment attributes object
      • tips array[object]
        Hide tips attributes Show tips attributes object
        • amount integer

          Default value is 0.

        • type string
      • discountsTotal integer

        Default value is 0.

      • taxTotal integer

        Default value is 0.

      • tipTotal integer

        Default value is 0.

      • total integer

        Default value is 0.

    • customer object
      Hide customer attributes Show customer attributes object
      • name string
      • companyName string
      • phoneNumber string
      • email string
    • fulfillment object
      Hide fulfillment attribute Show fulfillment attribute object
      • type string
    • taxes array
    • discounts array
  • 400 application/json

    400

PATCH /commerce/{accountId}/baskets/{basketId}/payment
curl \
 --request PATCH 'https://api.staging.deliverect.com/commerce/{accountId}/baskets/{basketId}/payment' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"tips":[{"type":"restaurant","amount":100}]}'
Request example
{
  "tips": [
    {
      "type": "restaurant",
      "amount": 100
    }
  ]
}
Response examples (200)
{
  "id": "6643782d0c1914c93a846834",
  "etag": "d8ac2d392f6a89d80376174d19cbe84b8b65d637",
  "items": [
    {
      "net": 1500,
      "plu": "STK-01",
      "name": "Delicious Steak Frites",
      "gross": 1500,
      "price": 1500,
      "taxes": [],
      "menuId": "62d7f77f64c95193cc29aa91",
      "quantity": 1,
      "subItems": [],
      "discounts": [],
      "discountTotal": 0
    }
  ],
  "taxes": [],
  "status": "open",
  "created": "2024-05-14T14:41:49.738000+00:00",
  "deleted": false,
  "payment": {
    "tips": [
      {
        "type": "restaurant",
        "amount": 100
      }
    ],
    "total": 1600,
    "taxTotal": 0,
    "tipTotal": 100,
    "discountsTotal": 0
  },
  "storeId": "65eee6a9984a1bc1b9637c59",
  "updated": "2024-05-14T15:28:33.188000+00:00",
  "currency": "EUR",
  "customer": {
    "name": "Test",
    "email": "test@email.com",
    "companyName": "Company LTDA",
    "phoneNumber": "12345"
  },
  "accountId": "65c35d109a19b819b7cf78d8",
  "discounts": [],
  "fulfillment": {
    "type": "pickup"
  },
  "taxExclusive": false,
  "channelLinkId": "65eee6a9984a1bc1b9637c59",
  "channelOrderId": null,
  "channelOrderDisplayId": null
}
Response examples (400)
{}